workspace "gearlib"
    configurations { "Debug", "Release" }
    location "build"

project "gearlib"
    kind "StaticLib"
    language "C"
    targetdir "bin/%{cfg.buildcfg}/gearlib"

    files { "include/**.h", "src/**.c" }
    includedirs { "include", "include/gearlib" }
    links { "glfw", "m" }

    filter "configurations:Debug"
        defines { "DEBUG" }
        symbols "On"

    filter "configurations:Release"
        defines { "NDEBUG" }
        optimize "On"

project "test"
    kind "ConsoleApp"
    language "C"
    targetdir "bin/%{cfg.buildcfg}/test"

    files { "examples/test.c" }
    includedirs { "include", "include/gearlib" }
    links { "glfw", "gearlib", "m" }

    debugdir "examples"

    filter "configurations:Debug"
        defines { "DEBUG" }
        symbols "On"

    filter "configurations:Release"
        defines { "NDEBUG" }
        optimize "On"
